summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2020-11-03 16:54:55 +0100
committerMarek Szuba <marecki@gentoo.org>2020-11-09 18:41:59 +0100
commit70047a1007d4cbd1c5cb5535f74d29df53b17370 (patch)
treef0e4968852b6bbb4af6dfd3ec7d691ec0a3a1a09 /eclass
parentsys-apps/flashrom-1.2-r3: install the man page (diff)
downloadgentoo-70047a1007d4cbd1c5cb5535f74d29df53b17370.tar.gz
gentoo-70047a1007d4cbd1c5cb5535f74d29df53b17370.tar.bz2
gentoo-70047a1007d4cbd1c5cb5535f74d29df53b17370.zip
depend.apache.eclass: support EAPI-7
Technically speaking, the eclass in question does not properly support EAPI-6 to begin with - but from what I could see during testing, the way it doesn't work is the same for 6 and 7. Moreover, the current workaround for the main problem with EAPI-6 support, i.e. having ebuilds themselves call the apache2 init functions, seems to work fine with EAPI-7 as well. Signed-off-by: Marek Szuba <marecki@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/depend.apache.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index 79bfdcc493f..5aa55254268 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -1,10 +1,10 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: depend.apache.eclass
# @MAINTAINER:
# apache-devs@gentoo.org
-# @SUPPORTED_EAPIS: 0 2 3 4 5 6
+# @SUPPORTED_EAPIS: 0 2 3 4 5 6 7
# @BLURB: Functions to allow ebuilds to depend on apache
# @DESCRIPTION:
# This eclass handles depending on apache in a sane way and provides information
@@ -44,7 +44,7 @@ case ${EAPI:-0} in
0|2|3|4|5)
inherit multilib
;;
- 6)
+ 6|7)
;;
*)
die "EAPI=${EAPI} is not supported by depend.apache.eclass"